automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: fix for PR/408


From: Alexandre Duret-Lutz
Subject: FYI: fix for PR/408
Date: Fri, 14 Nov 2003 22:11:41 +0100
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.3 (gnu/linux)

I'm checking this in.

2003-11-14  Alexandre Duret-Lutz  <address@hidden>

        Fix for PR automake/408:
        * lib/am/texinfos.am (install-info-am): Strip any $(srcdir)/ prefix
        from $file, as already done for dist-info.
        * tests/Makefile.am (TESTS): Add txinfo26.test.
        * tests/txinfo26.test: New file.
        Report from Nicholas Wourms.

Index: THANKS
===================================================================
RCS file: /cvs/automake/automake/THANKS,v
retrieving revision 1.227
diff -u -r1.227 THANKS
--- THANKS      13 Nov 2003 19:39:06 -0000      1.227
+++ THANKS      14 Nov 2003 21:06:16 -0000
@@ -155,6 +155,7 @@
 Morten Eriksen         address@hidden
 Motoyuki Kasahara      address@hidden
 Nelson H. F. Beebe     address@hidden
+Nicholas Wourms                address@hidden
 Nicolas Joly           address@hidden
 Nicolas Thiery         address@hidden
 NISHIDA Keisuke                address@hidden
Index: lib/am/texinfos.am
===================================================================
RCS file: /cvs/automake/automake/lib/am/texinfos.am,v
retrieving revision 1.109
diff -u -r1.109 texinfos.am
--- lib/am/texinfos.am  11 Nov 2003 00:07:17 -0000      1.109
+++ lib/am/texinfos.am  14 Nov 2003 21:06:18 -0000
@@ -124,8 +124,13 @@
 install-info-am: $(INFO_DEPS)
        @$(NORMAL_INSTALL)
        $(mkdir_p) $(DESTDIR)$(infodir)
-       @list='$(INFO_DEPS)'; \
+       @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+       list='$(INFO_DEPS)'; \
        for file in $$list; do \
+## Strip possible $(srcdir) prefix.
+         case $$file in \
+           $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+         esac; \
          if test -f $$file; then d=.; else d=$(srcdir); fi; \
 ## 8+3 filesystems cannot deal with foo.info-N filenames: they all
 ## conflict.  DJGPP comes with a tool, DJTAR, that will rename these
@@ -227,6 +232,7 @@
        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
        list='$(INFO_DEPS)'; \
        for base in $$list; do \
+## Strip possible $(srcdir) prefix.
          case $$base in \
            $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
          esac; \
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.526
diff -u -r1.526 Makefile.am
--- tests/Makefile.am   10 Nov 2003 21:49:21 -0000      1.526
+++ tests/Makefile.am   14 Nov 2003 21:06:18 -0000
@@ -480,6 +480,7 @@
 txinfo23.test \
 txinfo24.test \
 txinfo25.test \
+txinfo26.test \
 transform.test \
 unused.test \
 vars.test \
Index: tests/txinfo26.test
===================================================================
RCS file: tests/txinfo26.test
diff -N tests/txinfo26.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/txinfo26.test 14 Nov 2003 21:06:18 -0000
@@ -0,0 +1,64 @@
+#! /bin/sh
+# Copyright (C) 2002, 2003  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure Texinfo installation works when absolute --srcdir is used.
+# PR/408
+
+required='makeinfo'
+. ./defs || exit 1
+
+set -e
+
+echo AC_OUTPUT >> configure.in
+
+cat > Makefile.am << 'END'
+info_TEXINFOS = main.texi
+END
+
+
+cat > main.texi << 'END'
+\input texinfo
address@hidden main.info
address@hidden main
address@hidden Top
+Hello walls.
address@hidden version.texi
address@hidden
+END
+
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+./configure
+$MAKE
+$MAKE distclean
+mkdir build
+cd build
+../configure --srcdir=`pwd`/.. --prefix=`pwd`/_inst --infodir=`pwd`/_inst/info
+$MAKE install
+test -f ../main.info
+test ! -f ./main.info
+test -f _inst/info/main.info
+
+$MAKE uninstall
+test ! -f _inst/info/main.info
+test -f ../main.info

-- 
Alexandre Duret-Lutz





reply via email to

[Prev in Thread] Current Thread [Next in Thread]